# Build Description


## custom kernel path

`make KERNELDIR=<your custom kernel src folder>`

## Debian Package

install debps

`sudo apt install build-essential linux-headers-generic clang-tools`

build

`dpkg-buildpackage --no-sign`

## code check

install first some tools under linux

`sudo apt install coccinelle clang-tools`

then you can run

`make coccicheck`


## build with custom configs

you can add you custom config to the make command, eg.

`make CONFIG_SYN1588_DT=m`

see Kconfig for all settings


## style check


`make style`

Probably this needs a newer kernel
