

#ifndef _OREGANO_DELAY_CORRECTION_H_
#define _OREGANO_DELAY_CORRECTION_H_

#include <linux/ethtool.h>
#include <linux/types.h>
#include <linux/version.h>

#include "compat/compat.h"

typedef struct {
	u32 rx; // this value is substracted by the hardware
	u32 tx; // this value is addes by the hardware
} phydelay_t;
typedef struct {
	phydelay_t mac;
	phydelay_t clock_m;
} syn1588_phydelay_t;

typedef syn1588_phydelay_t (* syn1588_phydelay_getter_t)(enum ethtool_link_mode_bit_indices mode);


syn1588_phydelay_t get_pci_nic_2_copper_hw_delay(enum ethtool_link_mode_bit_indices mode);

syn1588_phydelay_t get_pci_nic_2_sfp_hw_delay(enum ethtool_link_mode_bit_indices mode);

#endif // _OREGANO_DELAY_CORRECTION_H_
