

#ifndef _SYN1588_DEBUGFS_H_
#define _SYN1588_DEBUGFS_H_



#ifdef CONFIG_DEBUG_FS

#include <linux/debugfs.h>
struct syn1588_adapter;

struct syn1588_debugfs {
	struct dentry *root_dir;
};


void syn1588_debugfs_init(struct syn1588_adapter *adapter);


void syn1588_debugfs_exit(struct syn1588_adapter *adapter);

#else

struct syn1588_debugfs {
};


static inline void syn1588_debugfs_init(struct syn1588_adapter *adapter) {}


static inline void syn1588_debugfs_exit(struct syn1588_adapter *adapter) {}


#endif


#endif
